Received: from mnm [127.0.0.1]
	by localhost with POP3 (fetchmail-5.9.0)
	for akpm@localhost (single-drop); Tue, 22 Apr 2003 23:46:19 -0700 (PDT)
Received: from digeo-e2k04.digeo.com ([192.168.2.24]) by pao-ex01.pao.digeo.com with Microsoft SMTPSVC(5.0.2195.5329);
	 Tue, 22 Apr 2003 23:41:29 -0700
Received: from digeo-nav01.digeo.com ([192.168.1.233]) by digeo-e2k04.digeo.com with Microsoft SMTPSVC(5.0.2195.5329);
	 Tue, 22 Apr 2003 23:41:28 -0700
Received: from packet.digeo.com ([192.168.17.15])
 by digeo-nav01.digeo.com (SAVSMTP 3.0.0.44) with SMTP id M2003042223433208454
 for <akpm@digeo.com>; Tue, 22 Apr 2003 23:43:32 -0700
Received: from holomorphy (holomorphy.com [66.224.33.161])
	by packet.digeo.com (8.12.8/8.12.8) with ESMTP id h3N6fQkR021394
	for <akpm@digeo.com>; Tue, 22 Apr 2003 23:41:27 -0700 (PDT)
Received: from wli by holomorphy with local (Exim 3.36 #1 (Debian))
	id 198DwF-0002BG-00; Tue, 22 Apr 2003 23:41:03 -0700
Date: Tue, 22 Apr 2003 23:41:03 -0700
From: William Lee Irwin III <wli@holomorphy.com>
To: Andrew Morton <akpm@digeo.com>
Cc: linux-kernel@vger.kernel.org, linux-mm@kvack.org
Subject: Re: 2.5.68-mm1
Message-ID: <20030423064103.GL8978@holomorphy.com>
Mail-Followup-To: William Lee Irwin III <wli@holomorphy.com>,
	Andrew Morton <akpm@digeo.com>, linux-kernel@vger.kernel.org,
	linux-mm@kvack.org
References: <20030419231320.52b2b2ef.akpm@digeo.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20030419231320.52b2b2ef.akpm@digeo.com>
Organization: The Domain of Holomorphy
User-Agent: Mutt/1.5.4i
X-Scanned-By: MIMEDefang 2.30 (www . roaringpenguin . com / mimedefang)
X-OriginalArrivalTime: 23 Apr 2003 06:41:28.0579 (UTC) FILETIME=[5E58B530:01C30963]
X-Spam-Status: No, hits=-38.8 required=6.0
	tests=EMAIL_ATTRIBUTION,IN_REP_TO,PATCH_UNIFIED_DIFF,
	      QUOTED_EMAIL_TEXT,REFERENCES,REPLY_WITH_QUOTES,
	      USER_AGENT_MUTT
	version=2.53
X-Spam-Level: 
X-Spam-Checker-Version: SpamAssassin 2.53 (1.174.2.15-2003-03-30-exp)

On Sat, Apr 19, 2003 at 11:13:20PM -0700, Andrew Morton wrote:
> ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.5/2.5.68/2.5.68-mm1
> A few fixes for various things.  mainly a resync with 2.5.68.

arch/i386/lib/kgdb_serial.c needs a fixup for CONFIG_DISCONTIGMEM:


diff -urpN mm1-2.5.68-1/arch/i386/lib/kgdb_serial.c mm1-2.5.68-1B/arch/i386/lib/kgdb_serial.c
--- mm1-2.5.68-1/arch/i386/lib/kgdb_serial.c	2003-04-20 00:24:45.000000000 -0700
+++ mm1-2.5.68-1B/arch/i386/lib/kgdb_serial.c	2003-04-22 23:24:15.000000000 -0700
@@ -25,6 +25,7 @@
 #include <linux/ioport.h>
 #include <linux/mm.h>
 #include <linux/init.h>
+#include <linux/highmem.h>
 #include <asm/system.h>
 #include <asm/io.h>
 #include <asm/segment.h>
@@ -397,6 +398,18 @@ kgdb_enable_ints(void)
 void shutdown_for_kgdb(struct async_struct *gdb_async_info);
 #endif
 
+#ifdef CONFIG_DISCONTIGMEM
+static inline int kgdb_mem_init_done(void)
+{
+	return highmem_start_page != NULL;
+}
+#else
+static inline int kgdb_mem_init_done(void)
+{
+	return max_mapnr != 0;
+}
+#endif
+
 static void
 kgdb_enable_ints_now(void)
 {
@@ -404,7 +417,8 @@ kgdb_enable_ints_now(void)
 		return;
 	if (!ints_disabled)
 		goto exit;
-	if (max_mapnr && ints_disabled) {	/* don't try till mem init */
+	if (kgdb_mem_init_done() &&
+			ints_disabled) {	/* don't try till mem init */
 #ifdef CONFIG_SERIAL_8250
 		/*
 		 * The ifdef here allows the system to be configured
